CRZluaUtils = {}
CRZluaUtils.ships = {}
CRZluaUtils.totalShipsDead = {}

mn.LuaSEXPs["lua-get-ship-type-destroyed"].Action = function(class,...)
	local valueToReturn = 0
	for key, val in ipairs(arg) do
		--mn.sendPlainMessage(val[1].Name)
        if CRZluaUtils.ships[class.Name] == nil or CRZluaUtils.ships[class.Name][val[1].Name] == nil then
		else
			valueToReturn = valueToReturn + CRZluaUtils.ships[class.Name][val[1].Name]
		end
    end
	return valueToReturn
end

mn.LuaSEXPs["lua-get-num-ships-destroyed"].Action = function(...)
	local valueToReturn = 0
	for key, val in ipairs(arg) do
		if CRZluaUtils.totalShipsDead[val[1].Name] == nil then
		else
			valueToReturn = valueToReturn + CRZluaUtils.totalShipsDead[val[1].Name]
		end
	end
	return valueToReturn
end